commit: a0b9a9e5447eecf163958ca8e4a6600ea5ee28ed
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 22 04:29:16 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 22 04:46:32 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0b9a9e5
dev-python/hypothesis: Bump to 5.15.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/hypothesis/Manifest | 1 +
dev-python/hypothesis/hypothesis-5.15.1.ebuild | 56 ++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1b2f7aac535..add8ea6fc23 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,4 @@ DIST hypothesis-python-4.57.1.tar.gz 9005030 BLAKE2B
3d318896cbe2d24fa6847e764a1
DIST hypothesis-python-5.11.0.tar.gz 9007902 BLAKE2B
c9a924ae6496d2ff8babd688b36d36963bf169c309c26af95cba73567a3c2d76def08f511d7eb62e254b8b6c9db6e13b2e91a940148013ea0fe6ecbcba07e467
SHA512
64a39eb18b435c18fed3bb595d73d6929b090fdacac11445e7e0c07b80616b46bc1e1c7fc3b4c7137ff4cadd6da467c2b0ba02aadf8dc18f6900268c4e33d677
DIST hypothesis-python-5.13.1.tar.gz 9010460 BLAKE2B
55e3266eb0a48e60963a3a97e185a887461d301996f92f3ccf87721ecff9d7fbc8112ac7b03fba49269affd74ce412b4230152ffe8dfe2317fe02a7ca7be0301
SHA512
2674865842d8610b61ed2b7ad1baf9e787d816e8e1a26886227b42803b882f6395d81fafac3e6ce9592e378ad3370139a1c206220c990d5fe5276adb0b1b9fe7
DIST hypothesis-python-5.15.0.tar.gz 9010730 BLAKE2B
926433af6c57ee5206bc50ba96275b43c75534a31ab680042e42b4c4b01cb3d55efe76ce5355ed5407c83237c748929e04fbab570f04ad3cd6d41446b90387a5
SHA512
333547ec8433e9190508038f4263c4e65399db3cedf2f5e0af6bcd398ebcdb8614899499c3c6f0395333933b5b7e1d88dd4606243ae3aa8d763afc84bc1831e7
+DIST hypothesis-python-5.15.1.tar.gz 9010924 BLAKE2B
a00ebf581781e47fd85fa9d5044894d3f81e1195bbe4269e2bb2262dc70586936df33c4871b4186ff45ec49235b81a4070fc89daa67d2bcd31c98291c12be730
SHA512
d3fdc2ec2d66353da2ee790eae8ecef0bf168320a90556b5877844af975765c1da37a104765a3ca07e3143621be5cb01acfa7d19cc3222a52a0cd6eb63f6c0be
diff --git a/dev-python/hypothesis/hypothesis-5.15.1.ebuild
b/dev-python/hypothesis/hypothesis-5.15.1.ebuild
new file mode 100644
index 00000000000..db5d4276726
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.15.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis
https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+src_prepare() {
+ # avoid pytest-xdist dep for one test
+ sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+ tests/pytest/test_statistics.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}